<?xml version="1.0" encoding="UTF-8"?>

<project name="authenticator" default="default" basedir=".">
	
	<property file="${user.home}/.ant.hsar.properties" />
	<property name="lib.home" value="${basedir}/lib" />
	<property name="src.home" value="${basedir}/src" />
	<property name="war.home" value="${basedir}/webapp" />
	<property name="cls.home" value="${war.home}/WEB-INF/classes" />
	<property name="compile.debug" value="true" />

	<path id="compile.classpath">
		<fileset dir="lib">
			<include name="*.jar" />
		</fileset>
	</path>

	<target name="default" depends="compile" description="Patch WAR File">
        <echo message="target war: ${cas.openedwar}"/>
		<copy todir="${cas.openedwar}">
			<fileset dir="${war.home}"/>
		</copy>
    </target>

    <target name="compile" description="Compile Authenticator">
    	<javac srcdir="${src.home}" destdir="${cls.home}" debug="${compile.debug}">
			<classpath refid="compile.classpath" />
    	</javac>
    </target>
	
	<target name="clean" description="Remove compiled classes">
        <delete dir="${cls.home}/de"/>
    </target>

</project>
